Skip to content

Instantly share code, notes, and snippets.

@stammy

stammy/gist:2494287

Created Apr 25, 2012
Embed
What would you like to do?
asset precompilation error on requirejs-rails
$ bundle exec rake assets:precompile
/Users/Stammy/.rvm/rubies/ruby-1.9.3-p0-perf/bin/ruby /Users/Stammy/.rvm/gems/ruby-1.9.3-p0-perf/bin/rake requirejs:precompile:all RAILS_ENV=production RAILS_GROUPS=assets
node.js:201
throw e; // process.nextTick error, or 'error' event on first tick
^
Error: ENOENT, no such file or directory '/Users/Stammy/code/picplum/app/assets/javascripts/app/strobeo.js'
at Object.openSync (fs.js:230:18)
at Object.readFileSync (fs.js:120:15)
at Object.readFile (/Users/Stammy/.rvm/gems/ruby-1.9.3-p0-perf/gems/requirejs-rails-0.7.3/bin/r.js:2707:27)
at /Users/Stammy/.rvm/gems/ruby-1.9.3-p0-perf/gems/requirejs-rails-0.7.3/bin/r.js:10982:41
at /Users/Stammy/.rvm/gems/ruby-1.9.3-p0-perf/gems/requirejs-rails-0.7.3/bin/r.js:1281:64
at Object.completeLoad (/Users/Stammy/.rvm/gems/ruby-1.9.3-p0-perf/gems/requirejs-rails-0.7.3/bin/r.js:1550:17)
at /Users/Stammy/.rvm/gems/ruby-1.9.3-p0-perf/gems/requirejs-rails-0.7.3/bin/r.js:11042:33
at /Users/Stammy/.rvm/gems/ruby-1.9.3-p0-perf/gems/requirejs-rails-0.7.3/bin/r.js:1281:64
at Object.require (/Users/Stammy/.rvm/gems/ruby-1.9.3-p0-perf/gems/requirejs-rails-0.7.3/bin/r.js:1480:25)
at /Users/Stammy/.rvm/gems/ruby-1.9.3-p0-perf/gems/requirejs-rails-0.7.3/bin/r.js:1683:24
rake aborted!
Asset compilation with node failed.
Tasks: TOP => requirejs:precompile:all => requirejs:precompile:run_rjs
(See full trace by running task with --trace)
rake aborted!
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment